Skip to main content

Get Device Restrictions

GET 

/api/v2/device/:deviceId/restrictions

This service message retrieves all applicable restrictions for a device based on device ID, device type, OS, and other metadata collected during discovery.

Request​

Path Parameters

    deviceId stringrequired

    The unique identifier of the device

Header Parameters

    Device-Auth any

Responses​

Array of restriction rules applicable to the device

Schema

  • Array [

  • id stringrequired
    name stringrequired
    description string
    type stringrequired

    Possible values: [policy, restriction]

    version numberrequired
    isActive booleanrequired
    rule objectrequired

    The restriction rule object

    createdAt stringrequired
    updatedAt stringrequired
  • ]

Loading...